> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autonoma.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Specific Folder API

> Retrieve details of a specific test folder by its ID.



## OpenAPI

````yaml get /folder/{folder_id}
openapi: 3.0.3
info:
  title: Autonoma API
  description: |
    API for managing test runs and test definitions in the Autonoma platform.

    **Important Note:** Media URLs (images, videos) expire after 1 hour.
  version: 1.0.0
  contact:
    name: Autonoma Support
servers:
  - url: https://autonoma.app/api
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /folder/{folder_id}:
    get:
      summary: Get a specific folder
      description: Retrieve details of a specific folder definition by ID
      parameters:
        - name: folder_id
          in: path
          required: true
          description: The ID of the folder
          schema:
            type: string
            example: cmbjp2vva000u0j01vtfu5kdj
      responses:
        '200':
          description: Folder details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Folder'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidCredentialsError'
        '404':
          description: Folder not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
components:
  schemas:
    Folder:
      type: object
      properties:
        id:
          type: string
          example: cmbsgljfr00fd060153r9x8ek
        name:
          type: string
          example: Draft Folder
        created_at:
          type: string
          format: date-time
          example: '2025-06-11T21:25:47.559Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-06-11T21:25:47.559Z'
        crontab:
          type: string
          example: 0 0 * * *
        tests:
          type: array
          items:
            $ref: '#/components/schemas/FolderTest'
    InvalidCredentialsError:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: Invalid authentication credentials
    NotFoundError:
      type: object
      properties:
        error:
          type: string
          example: Not found
        message:
          type: string
          example: Resource with id `cm8d9gt6v000c9fe5glmyi33u` not found
    FolderTest:
      type: object
      properties:
        id:
          type: string
          example: cmbsgljfr00fd060153r9x8ek
        name:
          type: string
          example: New Test 2025-06-11T21:25:47.442Z
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: autonoma-client-id
      description: Client ID for authentication
    ApiSecretAuth:
      type: apiKey
      in: header
      name: autonoma-client-secret
      description: Client secret for authentication

````